2011/4/21 7stud -- <bbxx789_05ss / yahoo.com>:
>> Note that this fails under Ruby1.9:
>>
>>  p str.split(pattern)
>>  ArgumentError: invalid byte sequence in UTF-8
>>     from (irb):10:in `split'
>
> I guess you missed this:
>
> puts RUBY_VERSION
>
> ...
>
> --output:--
> 1.9.2


Interesting, I also use 1.9.2, but have realized that it fails under
irb, but not in case I run the above code in a separate file.

-- 
Iaki Baz Castillo
<ibc / aliax.net>